| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# GaudiAlg::Print3D Class Reference

`#include <GaudiAlg/Print.h>`

List of all members.

## Detailed Description

collection of useful utilities to print IHistogram1D (currently used for implementation of class GaudiHistoAlg and class GaudiHistoTool)

See also:
  AIDA::IHistogram3D

Author:
  Vanya BELYAEV Ivan.Belyaev@lapp.in2p3.fr

Date:
  2005-08-04

Definition at line 109 of file Print.h.

## Static Public Member Functions
static void | print (MsgStream &stream, const AIDA::IHistogram3D *aida, const GaudiAlg::HistoID &ID)
static std::string | toString (const AIDA::IHistogram3D *aida, const GaudiAlg::HistoID &ID)

## Member Function Documentation

void GaudiAlg::Print3D::print | ( | MsgStream & | stream,
|  | const AIDA::IHistogram3D * | aida,
|  | const GaudiAlg::HistoID & | ID |
| ) |  |  | `[static]`

Definition at line 106 of file Print.cpp.

References endreq(), and Gaudi::Utils::toString().

    00109 { stream << toString  ( aida , ID )  << endreq ; }

std::string GaudiAlg::Print3D::toString | ( | const AIDA::IHistogram3D * | aida,
|  | const GaudiAlg::HistoID & | ID |
| ) |  |  | `[static]`

Definition at line 112 of file Print.cpp.

References format(), and GaudiAlg::ID::idAsString().

Referenced by GaudiHistos< PBASE >::printHistos().

    00114 {
    00115   boost::format fmt
    00116     ( " ID=%|-25|%|30t| \"%|.45s|\" %|79t| Ents/All=%|5|/%|-5|<X>/sX=%|.5|/%|-.5|,<Y>/sY=%|.5|/%|-.5|,<Z>/sZ=%|.5|/%|-.5|" ) ;
    00117   fmt % ID.idAsString() % aida->title();
    00118   fmt % (aida->allEntries()-aida->extraEntries()) % aida->allEntries() ;
    00119   fmt % aida->meanX()                             % aida->rmsX() ;
    00120   fmt % aida->meanY()                             % aida->rmsY() ;
    00121   fmt % aida->meanZ()                             % aida->rmsZ() ;
    00122   //
    00123   return fmt.str() ;
    00124 }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/GaudiAlg/Print.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/src/lib/Print.cpp